Subject: Re: iMIP

From: Andrea Campi <[email-masked]>
Date: Thu, 19 Sep 2002 20:38:34 +0200

Hi all,

>> more than once we have discussed whether full iMIP support is required
>> for CAP compliance; in particular,  this has to do with multipart
>> support, as iMIP compliance implies multipart support.
>
>   I am not sure what you mean by iMIP support. Do you mean the CUA
> sending/storing iMIP messages on the CS?

I mean supporting at least all MUST; this in turn means a CUA would be 
able to store an iMIP message on the CS as is. This also means a CUA 
would be able to take the answer to any query and use it as the body of 
an email.
But see below.

>> This is my proposal: add an IMIP-VERSION property to GET-CAPABILITY 
>> (by
>> the way, I noticed a typo in ITIP-VERSION, 2447 should be 2446):
>>
>>        IMIP-VERSION     1     Version(s) of IMIP, comma separated 
>> list.
>> To specify RFC-2447 support the list MUST include at least 2447.
>> Alternatively, in can be set to NONE.
>> If an endpoint specifies RFC2447 it MUST implement all of RFC2447,
>
>   Does it need to implement all of RFC 2447 or simply all the MUSTs
> in RFC 2447?

The MUST would suffice I guess (this is for the wg to decide).

In fact, I came up with this proposal to address the exact opposite: a 
CS or a CUA which don't advertise RFC2447 would not be bound by any 
restriction in that RFC, only 244[56].

Bye,
	Andrea